kjs Library: KJS::Reference Class Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::Reference Class Reference

Defines a Javascript reference. More...

`#include <reference.h>`

Inheritance diagram for KJS::Reference:

[legend]
Collaboration diagram for KJS::Reference:

[legend]
List of all members.

## Public Member Functions
| Reference (const Object &b, const Identifier &p)
| Reference (const Object &b, unsigned p)
| Reference (ObjectImp *b, const Identifier &p)
| Reference (ObjectImp *b, unsigned p)
| Reference (const Null &b, const Identifier &p)
| Reference (const Null &b, unsigned p)
Value | getBase (ExecState *exec) const
Identifier | getPropertyName (ExecState *exec) const
Value | getValue (ExecState *exec) const
void | putValue (ExecState *exec, const Value &w)
bool | deleteValue (ExecState *exec)
bool | isMutable ()
## Static Public Member Functions
static Reference | makeValueReference (const Value &v)
## Friends
class | ReferenceList
class | ReferenceListIterator

## Detailed Description

Defines a Javascript reference.

Definition at line 35 of file reference.h.

## Member Function Documentation

Value Reference::getBase | ( | ExecState * | exec | ) | const

| Performs the GetBase type conversion operation on this value (ECMA 8.7). Since references are supposed to have an Object or null as their base, this method is guaranteed to return either Null() or an Object value. Definition at line 93 of file reference.cpp. References KJS::Error::create(). Referenced by getValue(), and putValue().

Identifier Reference::getPropertyName | ( | ExecState * | exec | ) | const

| Performs the GetPropertyName type conversion operation on this value (ECMA 8.7). Definition at line 104 of file reference.cpp. References KJS::Identifier::isNull(). Referenced by getValue(), and putValue().

Value Reference::getValue | ( | ExecState * | exec | ) | const

| Performs the GetValue type conversion operation on this value (ECMA 8.7.1). Definition at line 118 of file reference.cpp. References KJS::UString::ascii(), KJS::Error::create(), KJS::Object::get(), getBase(), getPropertyName(), KJS::Value::imp(), KJS::Value::isNull(), KJS::Value::type(), and KJS::Identifier::ustring().

void Reference::putValue | ( | ExecState * | exec,
|  | const Value & | w
| ) |

| Performs the PutValue type conversion operation on this value (ECMA 8.7.1). Definition at line 146 of file reference.cpp. References KJS::Error::create(), getBase(), getPropertyName(), KJS::Value::imp(), and KJS::Value::type().

The documentation for this class was generated from the following files:

- reference.h
- reference.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003